Update a group of products
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/products/batch-update"[ { \"objectId\": 1642796, \"properties\": [ { \"name\": \"price\", \"value\": \"85.00\" }, { \"name\": \"description\", \"value\": \"This is an updated product, it's getting a price change.\" } ] }, { \"objectId\": 1645187, \"properties\": [ { \"name\": \"name\", \"value\": \"Updated product name now \"discount\", \"value\": \"20\" } ] } ] [ { \"objectType\": \"PRODUCT\", \"portalId\": 62515, \"objectId\": 1642796, \"properties\": { \"hs_lastmodifieddate\": { \"versions\": [ { \"name\": \"hs_lastmodifieddate\", \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceVid\": [] } ], \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceId\": null }, \"price\": { \"versions\": [ { \"name\": \"price\", \"value\": \"85.00\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"price\", \"value\": \"75.00\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"85.00\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null }, \"description\": { \"versions\": [ { \"name\": \"description\", \"value\": \"This is an updated product, it's getting a price change.\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"description\", \"value\": \"A description the second new product.\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"This is an updated product, it's getting a price change.\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null } }, \"version\": 0, \"isDeleted\": false }, { \"objectType\": \"PRODUCT\", \"portalId\": 62515, \"objectId\": 1645187, \"properties\": { \"hs_lastmodifieddate\": { \"versions\": [ { \"name\": \"hs_lastmodifieddate\", \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceVid\": [] } ], \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceId\": null }, \"name\": { \"versions\": [ { \"name\": \"name\", \"value\": \"Updated product name now 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"name\", \"value\": \"Another new product\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"Updated product name now 1525292253568, \"source\": \"API\", \"sourceId\": null }, \"discount\": { \"versions\": [ { \"name\": \"discount\", \"value\": \"20\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"20\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null } }, \"version\": 0, \"isDeleted\": false } ]"v1
Update a group of products
Update an existing product by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.
POST
/
crm-objects
/
v1
/
objects
/
products
/
batch-update
Update a group of products
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/products/batch-update"[ { \"objectId\": 1642796, \"properties\": [ { \"name\": \"price\", \"value\": \"85.00\" }, { \"name\": \"description\", \"value\": \"This is an updated product, it's getting a price change.\" } ] }, { \"objectId\": 1645187, \"properties\": [ { \"name\": \"name\", \"value\": \"Updated product name now \"discount\", \"value\": \"20\" } ] } ] [ { \"objectType\": \"PRODUCT\", \"portalId\": 62515, \"objectId\": 1642796, \"properties\": { \"hs_lastmodifieddate\": { \"versions\": [ { \"name\": \"hs_lastmodifieddate\", \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceVid\": [] } ], \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceId\": null }, \"price\": { \"versions\": [ { \"name\": \"price\", \"value\": \"85.00\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"price\", \"value\": \"75.00\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"85.00\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null }, \"description\": { \"versions\": [ { \"name\": \"description\", \"value\": \"This is an updated product, it's getting a price change.\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"description\", \"value\": \"A description the second new product.\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"This is an updated product, it's getting a price change.\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null } }, \"version\": 0, \"isDeleted\": false }, { \"objectType\": \"PRODUCT\", \"portalId\": 62515, \"objectId\": 1645187, \"properties\": { \"hs_lastmodifieddate\": { \"versions\": [ { \"name\": \"hs_lastmodifieddate\", \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceVid\": [] } ], \"value\": \"0\", \"timestamp\": 0, \"source\": \"CALCULATED\", \"sourceId\": null }, \"name\": { \"versions\": [ { \"name\": \"name\", \"value\": \"Updated product name now 1525292253568, \"source\": \"API\", \"sourceVid\": [] }, { \"name\": \"name\", \"value\": \"Another new product\", \"timestamp\": 1525289943771, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"Updated product name now 1525292253568, \"source\": \"API\", \"sourceId\": null }, \"discount\": { \"versions\": [ { \"name\": \"discount\", \"value\": \"20\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceVid\": [] } ], \"value\": \"20\", \"timestamp\": 1525292253568, \"source\": \"API\", \"sourceId\": null } }, \"version\": 0, \"isDeleted\": false } ]"Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Scope requirements
Scope requirements
Antwort
200 - application/json
Successful response - Update an existing product by its ID
The response is of type object.
Last modified on April 9, 2026
⌘I